Skip to content
Snippets Groups Projects
Commit 7368581a authored by Pietro Incardona's avatar Pietro Incardona
Browse files

Fixing install script

parent 8dde65bb
No related branches found
No related tags found
No related merge requests found
......@@ -46,8 +46,17 @@ METIS_installed=0
BOOST_installed=0
conf_err=1
## MPI
command -v mpic++ >/dev/null 2>&1
if [ $? -eq 0 ]; then
options="CXX=mpic++"
fi
##
if [ $install_req -eq 0 ]; then
./configure $configure_options
./configure $options $configure_options
else
while [ $conf_err -ne 0 ]
do
......
......@@ -7,10 +7,10 @@ if [ -d "${HOME}/BOOST" ]; then
exit 0
fi
mkdir ${HOME}/BOOST
wget http://ppmcore.mpi-cbg.de/upload/boost_1_58_0.tar.bz2
tar -xvf boost_1_58_0.tar.bz2
cd boost_1_58_0
./bootstrap.sh
mkdir ${HOME}/BOOST
./b2 -j 4 install --prefix=$HOME/BOOST
......@@ -7,10 +7,10 @@ if [ -d "${HOME}/MPI" ]; then
exit 0
fi
mkdir ${HOME}/MPI
wget http://www.open-mpi.de/software/ompi/v1.8/downloads/openmpi-1.8.7.tar.bz2
tar -xvf openmpi-1.8.7.tar.bz2
cd openmpi-1.8.7
sh ./configure --prefix=${HOME}/MPI --enable-opal-multi-threads --enable-mpi-f90
make -j 4
mkdir ${HOME}/MPI
make install
......@@ -7,12 +7,11 @@ if [ -d "${HOME}/METIS" ]; then
exit 0
fi
mkdir ${HOME}/METIS
wget http://ppmcore.mpi-cbg.de/upload/metis-5.1.0.tar.gz
tar -xf metis-5.1.0.tar.gz
cd metis-5.1.0
make config shared=1 prefix=${HOME}/METIS
make -j 4
mkdir ${HOME}/METIS
make install
......@@ -108,7 +108,7 @@ command -v libtoolize >/dev/null 2>&1
opt1=$?
command -v glibtoolize >/dev/null 2>&1
opt2=$?
if [ $opt1 -ne 0 -o $opt2 -ne 0 ]; then
if [ $opt1 -ne 0 -a $opt2 -ne 0 ]; then
echo >&2
echo -e "libtool\033[91;5;1m FAILED \033[0m"
echo "OpenFPM require libtool but it's not installed, searching a solution..."
......@@ -117,7 +117,7 @@ if [ $opt1 -ne 0 -o $opt2 -ne 0 ]; then
opt1=$?
command -v glibtoolize >/dev/null 2>&1
opt2=$?
if [ opt1 -ne 0 -o opt2 -ne 0 ]; then
if [ $opt1 -ne 0 -a $opt2 -ne 0 ]; then
echo -e "libtool\033[91;5;1m FAILED \033[0m"
exit 1
else
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment